EDIT - feature request #8133

[DISCUSS] Combine Facts and Extensions
02/24/2019 12:28 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

for a first discussion see #7653

Facts (DescriptionsElements) and Extensions are both meant for a generic extension of (identifiable) CDM classes. Facts are more
powerful by having i18n, sources, grouping via Descriptions, ordering of features, scopes, etc.

Extensions on the other hand are available for more classes and easier to handle (though not used much yet). Also they are not yet
supported well by the dataportal.

We may try to unify the system to make it easier to handle also software sided.
Be aware that a third way to store information related to a class are the class attributes themselves. Also here it could be sometimes

interesting to allow adding source information which is currently not possible (sources are only available for the source instances
themselves).

Related issues:
Copied from EDIT - feature request #7653: [DISCUSS] Delete NameFacts => Resul... Closed

History

#1 - 02/24/2019 12:29 PM - Andreas Miiller
- Copied from feature request #7653: [DISCUSS] Delete NameFacts => Result: no added

#2 - 02/25/2019 09:07 AM - Andreas Kohlbecker
- Subject changed from [DISKUSS] Combine Facts and Extensions to [DISCUSS] Combine Facts and Extensions

#3 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43
